<%@page import="com.fatwire.ui.util.GenericUtil"
%><%@page import="org.codehaus.jackson.map.ObjectMapper"
%><%@page import="com.fatwire.cs.ui.framework.UIException"
%><%@page import="java.util.*"
%><%@ taglib prefix="cs" uri="futuretense_cs/ftcs1_0.tld"
%><%@page import="com.fatwire.services.beans.search.SearchCriteria"
%><%@page import="com.fatwire.services.SearchService"
%><%@page import="com.fatwire.services.ServicesManager"
%><%@page import="com.fatwire.system.SessionFactory"
%><%@page import="com.fatwire.system.Session"
%><%@page import="com.fatwire.cs.core.search.data.ResultRow"
%><%@page import="com.fatwire.cs.core.search.data.IndexData"
%><%@page import="com.fatwire.assetapi.data.AssetId"
%><%@page import="com.openmarket.xcelerate.asset.AssetIdImpl"
%><cs:ftcs>
<%
try {
	
	// This element uses the search service to look for the assets modified in past week for the logged in site.
	// build search criteria
	SearchCriteria searchCriteria = new SearchCriteria();	
	searchCriteria.setSiteId(GenericUtil.getLoggedInSite(ics));	
	searchCriteria.setModifiedDateOption(SearchCriteria.DateOption.PASTWEEK);
	
	//call search service to get assets modified by logged in user since last week
	Session ses = SessionFactory.getSession();
	ServicesManager servicesManager =(ServicesManager)ses.getManager(ServicesManager.class.getName());
	SearchService searchService =  servicesManager.getSearchService();
	List<ResultRow> searchResults = searchService.search(searchCriteria, -1, null);
	
	// build the asset list, its a list of map	
	List<Map>  assets = new ArrayList<Map>();	
	for (ResultRow r : searchResults)
    {	
		Map asset = new HashMap();
		//this map will have, id, name, type and asset fields.
		String id  = r.getIndexData("id").getData();
		String type = r.getIndexData("AssetType").getData();
		AssetId assetId = new AssetIdImpl(type, Long.parseLong(id));
		asset.put("id", assetId.toString());
		asset.put("asset", assetId);
		asset.put("name", r.getIndexData("name").getData());		
		asset.put("type", r.getIndexData("AssetType").getData());
		assets.add(asset);		
    }
	request.setAttribute("assets", assets);
} catch(Exception e) {
	e.printStackTrace();
	UIException uie = new UIException(e);
	request.setAttribute(UIException._UI_EXCEPTION_, uie);
	throw uie;
}%>
</cs:ftcs>