<%@page import="com.fatwire.cs.ui.framework.UIException"
%><%@page import="java.util.List"
%><%@page import="org.apache.commons.collections.CollectionUtils"
%><%@page import="org.apache.commons.lang.StringUtils"
%><%@page import="com.fatwire.ui.util.GenericUtil"
%><%@ page import="com.fatwire.services.ui.beans.LabelValueBean"
%><%@ taglib prefix="cs" uri="futuretense_cs/ftcs1_0.tld"
%><cs:ftcs><%
try {
		
	String name = StringUtils.defaultString(request.getParameter("name"));
	String id = StringUtils.defaultString(request.getParameter("id"));
	String type = StringUtils.defaultString(request.getParameter("type"));
	String viewMode = StringUtils.defaultString(request.getParameter("viewMode"));
	String isLink = StringUtils.defaultString(request.getParameter("isLink"));
	List<LabelValueBean> displayBeans = GenericUtil.emptyIfNull((List<LabelValueBean>) request.getAttribute("displayBeans"));
	String url = (String)request.getAttribute("videoUrl");
	StringBuilder builder = new StringBuilder();
		
	// we are using same element to render thumbnails for docked and undocked mode.
	// so set different size for the thumbnail in each mode.
	// we need a smaller size for docked version
	String width = "190";
	String height = "190";
	if(StringUtils.equals(viewMode, "dock")){
		width = "120";
		height = "120";
	}
	
	if(url != null && !url.equalsIgnoreCase("")){
		builder.append("<div>");
		builder.append("<object id='MediaPlayer' width='"+width+"' height='"+height+"' classid='CLSID:22D6F312-B0F6-11D0-94AB-0080C74C7E95' standby='Loading Windows Media Player....' type='application/x-oleobject'>");
		builder.append("<param name='url' value='"+url+"'>");
		builder.append("<param name='autostart' value='false'>");
		builder.append("<param name='ShowControls' value='true'>");
		builder.append("<param name='ShowStatusBar' value='false'>");
		builder.append("<param name='ShowDisplay' param='false'>");
		builder.append("<embed type='application/x-mplayer2' src='"+url+"' name='MediaPlayer' width='"+width+"' height='"+height+"' ShowControls='1' ShowStatusBar='0' ShowDisplay='0' autostart='0'>");
		builder.append("</embed>");
		builder.append("</object>");		
	}
	else{
		builder.append("No Video found");
	}
	StringBuilder linkBuilder = new StringBuilder();
	String fileName = name;
	if(isLink.equalsIgnoreCase("true")){
		linkBuilder.append("<a href= \"#\" onclick=\"fw.ui.GridFormatter._openAsset('").append(name).append("' , '").append(type).append("' , '").append(id).append("' , '").append("edit')\"");
		if(StringUtils.equals(viewMode, "normal")){
			linkBuilder.append(" title=\"" + name + "\"");
		}
		linkBuilder.append(">"+name+"</a>");
	}
	else{
		linkBuilder.append(name);
	}
	
	StringBuilder buf = new StringBuilder();	
	if(CollectionUtils.isNotEmpty(displayBeans)) {
		buf.append("<div class='thumbnailSearchLabel'>");
		for(LabelValueBean displayBean : displayBeans) {
			if(StringUtils.equalsIgnoreCase(displayBean.getLabel(), "name")) {
				buf.append("<div class='thumbnailSearchLabelTitle'><div class='ellipsis'><strong>").append(linkBuilder).append("</strong></div></div>");				
			} 
			else {
				if(displayBean.getValue() != null && StringUtils.isNotBlank(displayBean.getValue())){
					buf.append("<strong>").append(displayBean.getLabel()).append(":</strong> ").append(displayBean.getValue()).append("<br />");
				}
			}
			// For "dock" view show the first item from the display list
			if(StringUtils.equals(viewMode, "dock")){
				break;
			}
		}
		buf.append("</div>");
		builder.append(buf.toString());
	}	
	builder.append("</div>");
%>
<%=builder.toString()%>
<%	
} catch(Exception e) {
	UIException uie = new UIException(e);
	request.setAttribute(UIException._UI_EXCEPTION_, uie);
	throw uie;
}%></cs:ftcs>