<%@page import="com.fatwire.cs.ui.framework.UIException"
%><%@page import="java.util.*"
%><%@page import="org.apache.commons.lang.StringUtils"
%><%@ page import="org.codehaus.jackson.map.ObjectMapper"
%><%@ page import="org.codehaus.jackson.type.TypeReference"
%><%@ page import="com.fatwire.services.ui.beans.LabelValueBean"
%><%@ taglib prefix="cs" uri="futuretense_cs/ftcs1_0.tld"
%><%@ page import="com.fatwire.services.AssetService"
%><%@ page import="com.fatwire.services.ServicesManager"
%><%@ page import="com.fatwire.system.SessionFactory"
%><%@ page import="com.fatwire.system.Session"
%><%@ page import="COM.FutureTense.Interfaces.ICS" 
%><%@ page import="com.fatwire.assetapi.data.AssetId"
%><%@ page import="com.openmarket.xcelerate.asset.AssetIdImpl"
%><%@ page import="com.fatwire.assetapi.data.AttributeData"
%><%@ page import="com.fatwire.util.BlobUtil"
%><%@ page import="com.fatwire.assetapi.data.BlobObject"
%><%@ page import="com.fatwire.assetapi.data.AssetData"
%><%@ page import="com.fatwire.assetapi.data.AssetDataManager"
%>
<cs:ftcs>
<%
try {	
	// get the asset id, type and attribute, use Asset API and BlobUtil to get the url 
	// of the of the blob
	String strAssetId = StringUtils.defaultString(request.getParameter("id"));
	String assetType = StringUtils.defaultString(request.getParameter("type"));
	String assetAttributeName = StringUtils.defaultString(request.getParameter("attribute"));
	String url="";	
	if(strAssetId != null && strAssetId.length()>0)
	{
		//call asset API to get the asset attribute data
		AssetId assetId = new AssetIdImpl(assetType, Long.parseLong(strAssetId));
		Session ses = SessionFactory.getSession();						
		AssetDataManager adm = (AssetDataManager)ses.getManager("com.fatwire.assetapi.data.AssetDataManager");
		List<String> attributes = new ArrayList<String>();
		attributes.add(assetAttributeName);
   		AssetData data = adm.readAttributes(assetId, attributes);			 
		List<AttributeData> attDataList  = data.getAttributeData();
		if(attDataList != null && attDataList.size() > 0){
			AttributeData attData = attDataList.get(0);		
			// get the blob object for this attribute and get the blob url.
			BlobObject bObj= (BlobObject)attData.getData();
			if(bObj != null){
			 	url = BlobUtil.getBlobUrl((BlobObject)attData.getData(), assetId);
			}
		}
	 }
	 // set this url as the request attribute
	request.setAttribute("videoUrl", url);	
	String jsonData = request.getParameter("displayData");
	if(StringUtils.isNotBlank(jsonData)) {
		request.setAttribute("displayBeans", new ObjectMapper().readValue(jsonData, new TypeReference<List<LabelValueBean>>(){}));
	}
	
} catch(Exception e) {
	UIException uie = new UIException(e);
	request.setAttribute(UIException._UI_EXCEPTION_, uie);
	throw uie;
}%>
</cs:ftcs>